complexType "CommodityNotionalQuantitySchedule"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (notionalStep* | settlementPeriodsNotionalQuantitySchedule*), (calculationPeriodsReference? | calculationPeriodsScheduleReference? | calculationPeriodsDatesReference?)
</...>

Content Model Elements (5):

  calculationPeriodsDatesReference, calculationPeriodsReference, calculationPeriodsScheduleReference, notionalStep, settlementPeriodsNotionalQuantitySchedule

All Direct / Indirect Based Elements (1):

  notionalQuantitySchedule

Known Usage Locations

- As direct type of elements (1):
  notionalQuantitySchedule

Annotation
The Notional Quantity per Calculation Period. There must be a Notional Quantity step specified for each Calculation Period, regardless of whether the Notional Quantity changes or remains the same between periods.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CommodityNotionalQuantitySchedule"> <xsd:sequence> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notionalStep" type="CommodityNotionalQuantity"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsNotionalQuantitySchedule" type="CommoditySettlementPeriodsNotionalQuantitySchedule"/> </xsd:choice> <xsd:group ref="CommodityCalculationPeriodsPointer.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/5)
notionalStep

  Type: | CommodityNotionalQuantity, complex content

  The Notional Quantity per Calculation Period. There must be a Notional Quantity specified for each Calculation Period, regardless of whether the quantity changes or remains the same between periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="notionalStep" type="CommodityNotionalQuantity"/>

settlementPeriodsNotionalQuantitySchedule

  Type: | CommoditySettlementPeriodsNotionalQuantitySchedule, complex content

  For an electricity transaction, the Notional Quantity schedule for a one or more groups of Settlement Periods to which the Notional Quantity is based. If the schedule differs for different groups of Settlement Periods, this element should be repeated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsNotionalQuantitySchedule" type="CommoditySettlementPeriodsNotionalQuantitySchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.